/*
 * 変数初期化
 */
void
valinit()
	{
	int		i,j;

	// 自機の初期化
	os.geometryTop = model1;
	os.geometryLength = sizeof(model1) / sizeof(int);
	os.material = NULL;
	ship.deg = 0;
	ship.speed = 0;
	ship.xspeed = 12;
	ship.yspeed = 0;
	ship.zspeed = MINSPEED + 25;
	ship.x = FSX/2;
	ship.y = SHIPY;
	ship.z = 0;
	ship.xsize = 0x10;
	ship.ysize = 0x10;
	ship.zsize = 0x10;
	ship.flag = 1;
	ship.type = 300;

	// 地面モデルセット
	for ( i = 0 ; i < MAXJIMEN ; i++ )
		{
		jimen[i].flag = 0;
		oj[i].geometryTop = model7;
		oj[i].geometryLength = sizeof(model7) / sizeof(int);
		oj[i].material = NULL;
		}
	// 敵出現クリア
	for ( i = 0 ; i < MAXENEMY ; i++ )
		{
		enemy[i].flag = 0;
		}
	// 自弾モデルセット
	for ( i = 0 ; i < MAXMSL ; i++ )
		{
		msl[i].flag = 0;
		om[i].geometryTop = model2;
		om[i].geometryLength = sizeof(model2) / sizeof(int);
		om[i].material = NULL;
		}
	// 敵弾モデルセット
	for ( i = 0 ; i < MAXEMSL ; i++ )
		{
		emsl[i].flag = 0;
		oem[i].geometryTop = model8;
		oem[i].geometryLength = sizeof(model8) / sizeof(int);
		oem[i].material = NULL;
		}
	// 爆発モデルセット
	for ( i = 0 ; i < MAXBAKU ; i++ )
		{
		baku[i].flag = 0;
		ob[i].geometryTop = model3;
		ob[i].geometryLength = sizeof(model3) / sizeof(int);
		ob[i].material = NULL;
		}
	// その他の変数初期化
	gamecount = animecount = 0;
	bossflag = 0;
	startcount = 50;
	mutekicount = 50;
	deadcount = 0;
	stage++;
	if ( stage > 2 ) ending();
	}

